Subject: Re: Kernel panic in inet_twdr_do_twkill_work

From: Daniel Lezcano <[email-masked]>
Date: Thu, 14 May 2009 11:21:20 +0200

Eric W. Biederman wrote:
> Daniel Lezcano <[email-masked]> writes:
>
>   
>> May be you can activate the NETNS_REFCNT_DEBUG in order to check if the timewait
>> socket
>> were destroyed at the namespace destruction ? Unfortunately it looks like the
>> option is not in the Kconfig :(
>>     
>
> Looks like a good starting place.
>
> I will enable that when I respin my internal kernel.
>
> I don't have a good reproducer at the moment....  So I was hoping we could
> figure this out with code inspection.
>   

I remember I wrote a small program to create hundred of timewait sockets 
to test the purge.
I will look if I can found it and try as a good reproducer.